#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.40
visibility:           public
id:                   glirc-2.40-CUfLy1MaoZL44Nr7o2PB2R
key:                  glirc-2.40-CUfLy1MaoZL44Nr7o2PB2R
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  75fe0ba8883fe50b61ccd95b4d32763a
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.Notifications
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Url
    Client.State.Window Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.ChannelList
    Client.View.Digraphs Client.View.Help Client.View.IgnoreList
    Client.View.KeyMap Client.View.MaskList Client.View.Mentions
    Client.View.Messages Client.View.Palette Client.View.RtsStats
    Client.View.UrlSelection Client.View.UserList Client.View.Who
    Client.View.Windows Client.WhoReply

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.2.8/site-local/glirc-2.40
library-dirs:         /usr/lib/ghc-9.2.8/site-local/glirc-2.40
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.40-CUfLy1MaoZL44Nr7o2PB2R
include-dirs:         /usr/lib/ghc-9.2.8/site-local/glirc-2.40/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.9-5EfpQC5NjLn6aWyOZ39pqD
    async-2.2.5-B58Idx8XDkhJGDCeQAIlbD
    attoparsec-0.14.4-Bgp3zmKYQ1Yrm6i2DIXMp base-4.16.4.0
    base64-bytestring-1.2.1.0-H5OvS3NnO5hGqBYxSDARE1
    bytestring-0.11.4.0 config-schema-1.3.0.0-BxTsHyzo7J42NDyHbQ3em0
    config-value-0.8.3-8yCRuGm4wH18pEPQuVa8HA containers-0.6.5.1
    curve25519-0.2.8-4YmRzBMr0DREJ7ntn1TPrg directory-1.3.6.2
    filepath-1.4.2.2 free-5.2-H5fbDVekFUE8n2Yd6NZBwS
    githash-0.1.6.3-XW5lM81psRPNOohkV4mC
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    hookup-0.8-11nytPlSXNE4x5mo1DOQWX
    irc-core-2.12-7PYbckHMMhZHfClMMveBMm
    kan-extensions-5.2.6-CIzvPxS3nmL3EoeIAABmhe
    lens-5.2.3-Ijuof6WNaie9e7Hnr0xxNE
    network-3.1.4.0-LkMz5jaz64nILFk6gPuNQl
    psqueues-0.2.8.1-F751E5PfGJNEM9HvU2Lgd7
    random-1.2.1.2-FF5pKRGSqbg1lp1X6GzzRb
    regex-tdfa-1.3.2.2-KTVaKjYXjyb5f7Udp6bDOE
    semigroupoids-6.0.0.1-K0TkfyD8bVTJ1Ua5ja3vM9
    split-0.2.5-HajsmmslEPb9hf7MTsQIKW stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 typed-process-0.2.11.1-JHiR0iwFSumAp9AKvlFu8o
    unix-2.7.2.2 unordered-containers-0.2.20-556FrLXx6TeI4rsDo1obsC
    vector-0.13.1.0-LgUMl9iMMxZ36i6grq2qn1
    vty-6.1-AMWOY48U5ETAYXWJmOiR4

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

